package com.gic.haoban.manage.service.entity;

import java.io.Serializable ;

public class TabHaobanUser implements Serializable{

	private static final long serialVersionUID = 773911689944500L;
	
	/**关联id*/
	private String userId;
	/**wx企业Id*/
	private String wxEnterpriseId;
	/**电话*/
	private String phoneNumber;
	/**状态1正常0删除*/
	private int statusFlag = 1;
	/**创建时间*/
	private java.util.Date createTime;
	/**修改时间*/
	private java.util.Date updateTime;
	/**默认gic商户*/
	private String defaultGicEid;
	
	public void setUserId(String userId){
		this.userId = userId;
	}
	
	public String getUserId(){
		return userId;
	}
	public void setWxEnterpriseId(String wxEnterpriseId){
		this.wxEnterpriseId = wxEnterpriseId;
	}
	
	public String getWxEnterpriseId(){
		return wxEnterpriseId;
	}
	public void setPhoneNumber(String phoneNumber){
		this.phoneNumber = phoneNumber;
	}
	
	public String getPhoneNumber(){
		return phoneNumber;
	}
	public void setStatusFlag(int statusFlag){
		this.statusFlag = statusFlag;
	}
	
	public int getStatusFlag(){
		return statusFlag;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return updateTime;
	}
	public void setDefaultGicEid(String defaultGicEid){
		this.defaultGicEid = defaultGicEid;
	}
	
	public String getDefaultGicEid(){
		return defaultGicEid;
	}
}